using Register_office.BaseClasses;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace Register_office.Model;

public partial class DrugIntakeMethod : IUnionId
{
	public object GetId() => DrugIntakeMethodId;

	[Display(Name = "hide")]
    public int DrugIntakeMethodId { get; set; }

	[Display(Name = "Название")]
	public string Name { get; set; } = null!;

	[Browsable(false)]
    public virtual ICollection<DrugTypePrescription> DrugTypePrescriptions { get; set; } = new List<DrugTypePrescription>();
}
